# Copyright (C) 2023 Intel Corporation
# SPDX-License-Identifier: MIT
#
# This package is downstreamed from Intel GPU RHEL9.2 Package repository:
# https://dgpu-docs.intel.com/driver/installation.html#rhel-install-steps

%global pkg_name metee
%global lib_ver 3.1.5
%global anolis_release 2

Name:		%{pkg_name}
Version:	%{lib_ver}
Release:	%{anolis_release}%{?dist}
Summary:	Cross-platform access library for Intel(R) CSME HECI interface
Group:		System Environment/Libraries
License:	apache2
URL:		https://github.com/intel/metee
Source0:	%{url}/archive/%{version}/%{name}-%{version}.tar.gz
ExclusiveArch:	x86_64

BuildRequires:	make
BuildRequires:	cmake
BuildRequires:	gcc
BuildRequires:	gcc-c++
BuildRequires:	doxygen

%description
ME TEE Library is a C library to access CSE/CSME/GSC firmware via a
mei interface. ME TEE provides a single cross-platform API to access
to MEI devices on Linux and Windows. MEI TEE API simplify connection
and communication with the mei device, and firmware status registers
retrieval.

%package -n	libmetee
Summary:	Cross-platform access library for Intel(R) CSME HECI interface.
%description -n	libmetee
ME TEE Library is a C library to access CSE/CSME/GSC firmware via a
mei interface. ME TEE provides a single cross-platform API to access
to MEI devices on Linux and Windows. MEI TEE API simplify connection
and communication with the mei device, and firmware status registers
retrieval.

%package -n	libmetee-devel
Summary:	Development headers for metee.
Requires:	libmetee
%description -n	libmetee-devel
ME TEE Library is a C library to access CSE/CSME/GSC firmware via a
mei interface. ME TEE provides a single cross-platform API to access
to MEI devices on Linux and Windows. MEI TEE API simplify connection
and communication with the mei device, and firmware status registers
retrieval.

%prep
%autosetup -p1 -n %{name}-%{version}

%build
mkdir build
pushd build
%cmake .. \
	-DCMAKE_BUILD_TYPE=Release \
	-DBUILD_SHARED_LIBS=ON
%make_build
popd

%install
pushd build
%make_install
popd

%files -n libmetee
%defattr(-,root,root)
%license COPYING
%{_libdir}/libmetee.so.*
%{_mandir}/man3/*

%files -n libmetee-devel
%defattr(-,root,root)
%{_includedir}/metee.h
%{_libdir}/libmetee.so
%{_docdir}/metee/*

%changelog
* Tue Mar 11 2025 happy_orange <songnannan@linux.alibaba.com> - 3.1.5-2
- sync from an23

* Fri Nov 17 2023 Aubrey Li <aubrey.li@linux.intel.com> - 3.1.5-1
- Initial spec file
